%define	module	Devel-StackTrace
%define	name	perl-%{module}
%define	version 1.13
%define	release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Stack trace and stack trace frame objects 
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%{module} module for perl.  Simple objects to deal with stack traces.
The parent object, Devel::StackTrace, holds a number of
Devel::StackTraceFrame objects (which have the same information as is
returned from caller()).  You can step through these frames forwards
and backwards as you want or retrieve specific frames.

%prep
%setup -q -n %{module}-%{version}
chmod 644 lib/Devel/StackTrace.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- New release 1.13

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12
- spec cleanup
- fix directory onwership
- %%mkrel
- make test in %%check
- better summary
- better url
- fix sources url

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.11-1mdk
- ARG! 1.11 !"!!"#"!*#E*FRI)ET"5IXUUSJFH fsck this

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03
- wipe out buildroot in %%install, not %%prep
- coosmetics

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-3mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.03-2mdk
- rebuild

* Wed Jan 29 2003 Franois Pons <fpons@mandrakesoft.com> 1.03-1mdk
- 1.03.

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-3mdk
- fix requires

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- rebuild with new perl

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 0.9
